Cogs > Cogs

Cogs fails to run on Ubuntu 17.04: X Error of failed request: BadValue

(1/1)

cweiske:
When trying to run cogs on my Ubuntu 17.04 amd64 machine with an ATI Radeon R9 270 card, I only get an error:


--- Code: ---$ ./Cogs
Cogs: Installed in '.'.
Cogs: Using amd64 version.
libGL error: unable to load driver: radeonsi_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: radeonsi
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  155 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  33
  Current serial number in output stream:  34

--- End code ---

So the game does not run at all.

I originally bought it from humble bundle 3 (HIB#3, Build #4). The installation file is cogs-installer-build4.

Is there a newer version available which maybe fixes this?

Navigation

[0] Message Index

Go to full version